Project

General

Profile

Bug #14415

Command to upgrade server from old 4.1/4.2/4.3 to 5.0 does not upgrade rudder-agent, breaking everything

Added by Alexis MOUSSET over 1 year ago. Updated over 1 year ago.

Status:
Released
Priority:
N/A
Category:
Documentation
Target version:
Severity:
Major - prevents use of part of Rudder | no simple workaround
User visibility:
Operational - other Techniques | Rudder settings | Plugins
Effort required:
Priority:
84
Tags:

Description

Running "yum update rudder-server-root" (as stated in the docs), the agent is not upgraded (which basically breaks everything).


Related issues

Related to Rudder - Bug #7777: Rudder-agent provides rudder-agent without a versionReleasedJonathan CLARKEActions
#1

Updated by Alexis MOUSSET over 1 year ago

  • Category changed from Packaging to Documentation
#2

Updated by Alexis MOUSSET over 1 year ago

  • Status changed from New to In progress
  • Assignee set to Alexis MOUSSET
#3

Updated by Alexis MOUSSET over 1 year ago

  • Related to Bug #7777: Rudder-agent provides rudder-agent without a version added
#4

Updated by Alexis MOUSSET over 1 year ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from Alexis MOUSSET to Benoît PECCATTE
  • Pull Request set to https://github.com/Normation/rudder-doc/pull/568
#5

Updated by Alexis MOUSSET over 1 year ago

  • Status changed from Pending technical review to Pending release
#7

Updated by Vincent MEMBRÉ over 1 year ago

  • Subject changed from After upgrading from 4.1.7 to 5.0.8, rudder-agent is not upgraded to Command to upgrade server from old 4.1/4.2/4.3 to 5.0 does not upgrade rudder-agent, breaking everything
#8

Updated by Vincent MEMBRÉ over 1 year ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 5.0.9 which was released today.

Also available in: Atom PDF